<?php

class ModuleAoWoW extends Module
{
  function __construct(System $System)
  {
    parent::__construct($System);
    $this->Name = 'AoWoW';
    $this->Version = '1.0';
    $this->Creator = 'Chronos';
    $this->License = 'GNU/GPL';
    $this->Description = 'wowhead-like web search interface';
    $this->Dependencies = array();
  }

  function DoStart(): void
  {
    Core::Cast($this->System)->RegisterMenuItem(array(
      'Title' => 'AoWoW',
      'Hint' => 'Vyhledávací databáze podobná WoWHead s překlady',
      'Link' => $this->System->Link('/aowow/'),
      'Permission' => LICENCE_ANONYMOUS,
      'Icon' => '',
    ));
    if (array_key_exists('Search', $this->System->ModuleManager->Modules))
      $this->System->ModuleManager->Modules['Search']->RegisterSearch('aowow',
      T('AoWoW'), array(), '', $this->System->Link('/aowow/?search='));
  }
}
